﻿using System;
//
namespace PerceptiveMCAPI.Export.Types
{
	public partial class listInput : Api_BaseInput
	{
		public listParms parms { get; set; }
		// -----------------------------------------------
		public listInput()
		{
			this.parms = new listParms();
		}
		// -------------
		public listInput( string id )
		{
			this.parms = new listParms( id );
		}
		// -------------
		public listInput( string id, EnumValues.listMembers_status status )
		{
			this.parms = new listParms( id, status );
		}
		// -------------
		public listInput( string apikey, string id )
		{
			this.parms = new listParms( apikey, id );
		}
		// -------------
		public listInput( string apikey, string id, EnumValues.listMembers_status status )
		{
			this.parms = new listParms( apikey, id, status );
		}
		// -------------
		public listInput( string apikey, string id, EnumValues.listMembers_status status, listSegmentOptions segment, DateTime since )
		{
			this.parms = new listParms( apikey, id, status, segment, since );
		}
		// -------------
		public listInput( listParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				parms = new listParms();
		}
	}
}
