﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignContentInput : Api_BaseInput
	{
		public campaignContentParms parms { get; set; }

		// -------------------------------------
		public campaignContentInput()
		{
			this.parms = new campaignContentParms();
		}
		//
		public campaignContentInput( string cid )
		{
			this.parms = new campaignContentParms( cid );
		}
		//
		public campaignContentInput( string apikey, string cid )
		{
			this.parms = new campaignContentParms( apikey, cid );
		}
		//
		public campaignContentInput( string apikey, string cid, bool for_archive )
		{
			this.parms = new campaignContentParms( apikey, cid, for_archive );
		}
		//
		public campaignContentInput( campaignContentParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignContentParms();
		}
	}
}
