﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignEcommOrderAddInput : Api_BaseInput
	{
		public campaignEcommOrderAddParms parms { get; set; }

		// ---------------------------------------------------

		public campaignEcommOrderAddInput()
		{
			this.parms = new campaignEcommOrderAddParms();
		}
		//
		public campaignEcommOrderAddInput( ecommOrder order )
		{
			this.parms = new campaignEcommOrderAddParms( order );
		}
		//
		public campaignEcommOrderAddInput( string apikey, ecommOrder order )
		{
			this.parms = new campaignEcommOrderAddParms( apikey, order );
		}
		//
		public campaignEcommOrderAddInput( campaignEcommOrderAddParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignEcommOrderAddParms();
		}

	}
}
