﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // campaignSchedule
      internal static List<Api_ValidatorMessage> Validate( campaignScheduleInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // cid
         val = Validator.cid_valid( input.parms.cid );
         if ( val != null ) messages.Add( val );
         // sched_time
         val = campaignSchedule_Validator.time_valid( input.parms.schedule_time );
         if ( val != null ) messages.Add( val );
         // sched_time_b
         val = campaignSchedule_Validator.time_b_valid( input.parms.schedule_time_b );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }
   }
}
