﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
	internal static partial class ValidateInput
	{
		// campaignEmailStatsAIM
		internal static List<Api_ValidatorMessage> Validate( campaignEmailStatsAIMInput input )
		{
			List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
			Api_ValidatorMessage val;
			//-----------------------
			// apikey
			val = Validator.apikey_valid( input.parms.apikey );
			if ( val != null ) messages.Add( val );
			// campaign id
			val = Validator.cid_valid( input.parms.cid );
			if ( val != null ) messages.Add( val );
			// email (list)
			val = Validator.collection_has_entries( input.parms.email_address, "email_address" );
			if ( val != null ) messages.Add( val );
			//--------------------
			return messages;
		}
	}
}
