﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignNotOpenedAIMInput : Api_BaseInput
	{
		public campaignNotOpenedAIMParms parms { get; set; }

		// -------------------------------------
		public campaignNotOpenedAIMInput()
		{
			this.parms = new campaignNotOpenedAIMParms();
		}
		//
		public campaignNotOpenedAIMInput( string cid )
		{
			this.parms = new campaignNotOpenedAIMParms( cid );
		}
		//
		public campaignNotOpenedAIMInput( string cid, int start, int limit )
		{
			this.parms = new campaignNotOpenedAIMParms( cid, start, limit );
		}
		//
		public campaignNotOpenedAIMInput( string apikey, string cid )
		{
			this.parms = new campaignNotOpenedAIMParms( apikey, cid );
		}
		//
		public campaignNotOpenedAIMInput( string apikey, string cid, int start, int limit )
		{
			this.parms = new campaignNotOpenedAIMParms( apikey, cid, start, limit );
		}
		//
		public campaignNotOpenedAIMInput( campaignNotOpenedAIMParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignNotOpenedAIMParms();
		}
	}
}
