﻿using System;
//
namespace PerceptiveMCAPI.Types
{
	public partial class campaignAbuseReportsInput : Api_BaseInput
	{
		public campaignAbuseReportsParms parms { get; set; }

		// -------------------------------------
		public campaignAbuseReportsInput()
		{
			this.parms = new campaignAbuseReportsParms();
		}
		//
		public campaignAbuseReportsInput( string cid )
		{
			this.parms = new campaignAbuseReportsParms( cid );
		}
		//
		public campaignAbuseReportsInput( string cid, int start, int limit )
		{
			this.parms = new campaignAbuseReportsParms( cid, start, limit );
		}
		//
		public campaignAbuseReportsInput( string cid, DateTime since, int start, int limit )
		{
			this.parms = new campaignAbuseReportsParms( cid, since, start, limit );
		}
		//
		public campaignAbuseReportsInput( string apikey, string cid )
		{
			this.parms = new campaignAbuseReportsParms( apikey, cid );
		}
		//
		public campaignAbuseReportsInput( string apikey, string cid, int start, int limit )
		{
			this.parms = new campaignAbuseReportsParms( apikey, cid, start, limit );
		}
		//
		public campaignAbuseReportsInput( string apikey, string cid, DateTime since, int start, int limit )
		{
			this.parms = new campaignAbuseReportsParms( apikey, cid, since, start, limit );
		}
		//
		public campaignAbuseReportsInput( campaignAbuseReportsParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignAbuseReportsParms();
		}
	}
}
