﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public partial class campaignMembersInput : Api_BaseInput
	{
		public campaignMembersParms parms { get; set; }

		// -------------------------------------

		public campaignMembersInput()
		{
			this.parms = new campaignMembersParms();
		}
		//
		public campaignMembersInput( string cid )
		{
			this.parms = new campaignMembersParms( cid );
		}
		//
		public campaignMembersInput( string cid, EnumValues.campaignMembers_status status )
		{
			this.parms = new campaignMembersParms( cid, status );
		}
		//
		public campaignMembersInput( string cid, EnumValues.campaignMembers_status status, int start, int limit )
		{
			this.parms = new campaignMembersParms( cid, status, start, limit );
		}
		//
		public campaignMembersInput( string apikey, string cid )
		{
			this.parms = new campaignMembersParms( apikey, cid );
		}
		//
		public campaignMembersInput( string apikey, string cid, EnumValues.campaignMembers_status status )
		{
			this.parms = new campaignMembersParms( apikey, cid, status );
		}
		//
		public campaignMembersInput( string apikey, string cid, EnumValues.campaignMembers_status status, int start, int limit )
		{
			this.parms = new campaignMembersParms( apikey, cid, status, start, limit );
		}
		//
		public campaignMembersInput( campaignMembersParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignMembersParms();
		}
	}
}