﻿namespace PerceptiveMCAPI.Types
{
	public partial class ecommOrderAddInput : Api_BaseInput
	{
		public ecommOrderAddParms parms { get; set; }

		// ---------------------------------------------
		public ecommOrderAddInput()
		{
			this.parms = new ecommOrderAddParms();
		}
		public ecommOrderAddInput( ecommOrder order )
		{
			this.parms = new ecommOrderAddParms( order );
		}
		public ecommOrderAddInput( string apikey, ecommOrder order )
		{
			this.parms = new ecommOrderAddParms( apikey, order );
		}
		public ecommOrderAddInput( ecommOrderAddParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new ecommOrderAddParms();
		}
	}
}
