﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;

namespace PerceptiveMCAPI
{
	internal static partial class ValidateInput
	{
		// ecommOrderDel
		internal static List<Api_ValidatorMessage> Validate( ecommOrderDelInput input )
		{
			List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
			Api_ValidatorMessage val;
			//-----------------------
			// apikey
			val = Validator.apikey_valid( input.parms.apikey );
			if ( val != null ) messages.Add( val );
			// store_id
			val = Validator.string_value_required( input.parms.store_id, "store_id" );
			if ( val != null ) messages.Add( val );
			// order_id
			val = Validator.string_value_required( input.parms.order_id, "order_id" );
			if ( val != null ) messages.Add( val );
			//-----------------------
			return messages;
		}
	}
}
