﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public partial class ecommOrdersInput : Api_BaseInput
	{
		public ecommOrdersParms parms { get; set; }

		// ---------------------------------------------------
		public ecommOrdersInput()
		{
			this.parms = new ecommOrdersParms();
		}
		//
		public ecommOrdersInput( DateTime since )
		{
			this.parms = new ecommOrdersParms( since );
		}
		//
		public ecommOrdersInput( int start, int limit, DateTime since )
		{
			this.parms = new ecommOrdersParms( start, limit, since );
		}
		//
		public ecommOrdersInput( string apikey, DateTime since )
		{
			this.parms = new ecommOrdersParms( apikey, since );
		}
		//
		public ecommOrdersInput( string apikey, int start, int limit, DateTime since )
		{
			this.parms = new ecommOrdersParms( apikey, start, limit, since );
		}
		//
		public ecommOrdersInput( ecommOrdersParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new ecommOrdersParms();
		}
	}
}
