﻿namespace PerceptiveMCAPI.Types
{
	public partial class folderAddInput : Api_BaseInput
	{
		public folderAddParms parms { get; set; }

		// ----------------------------------------
		public folderAddInput()
		{
			this.parms = new folderAddParms();
		}
		//
		public folderAddInput( string name )
		{
			this.parms = new folderAddParms( name );
		}
		//
		public folderAddInput( string name, EnumValues.folder_type type )
		{
			this.parms = new folderAddParms( name, type );
		}
		//
		public folderAddInput( string apikey, string name )
		{
			this.parms = new folderAddParms( apikey, name );
		}
		//
		public folderAddInput( string apikey, string name, EnumValues.folder_type type )
		{
			this.parms = new folderAddParms( apikey, name, type );
		}
		//
		public folderAddInput( folderAddParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new folderAddParms();
		}
	}
}
