﻿namespace PerceptiveMCAPI.Types
{
	public partial class folderDelInput : Api_BaseInput
	{
		public folderDelParms parms { get; set; }

		// ----------------------------------------
		public folderDelInput()
		{
			this.parms = new folderDelParms();
		}
		//
		public folderDelInput( int fid )
		{
			this.parms = new folderDelParms( fid );
		}
		//
		public folderDelInput( int fid, EnumValues.folder_type type )
		{
			this.parms = new folderDelParms( fid, type );
		}
		//
		public folderDelInput( string apikey, int fid )
		{
			this.parms = new folderDelParms( apikey, fid );
		}
		//
		public folderDelInput( string apikey, int fid, EnumValues.folder_type type )
		{
			this.parms = new folderDelParms( apikey, fid, type );
		}
		//
		public folderDelInput( folderDelParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new folderDelParms();
		}
	}
}
