﻿namespace PerceptiveMCAPI.Types
{
	public partial class foldersInput : Api_BaseInput
	{
		public foldersParms parms { get; set; }

		// --------------------------------------
		public foldersInput()
		{
			this.parms = new foldersParms();
		}
		//
		public foldersInput( EnumValues.folder_type type )
		{
			this.parms = new foldersParms( type );
		}
		//
		public foldersInput( string apikey )
		{
			this.parms = new foldersParms( apikey );
		}
		//
		public foldersInput( string apikey, EnumValues.folder_type type )
		{
			this.parms = new foldersParms( apikey, type );
		}
		//
		public foldersInput( foldersParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new foldersParms();
		}
	}
}
