﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PerceptiveMCAPI;

namespace PerceptiveMCAPI.Types
{
	public class foldersParms
	{
		public string apikey { get; set; }
		public EnumValues.folder_type type { get; set; }
		// -------------------------------------
		public foldersParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			this.type = MCAPISettings.default_folder_type;
		}
		public foldersParms( EnumValues.folder_type type )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.type = type;
		}
		public foldersParms( string apikey )
		{
			this.apikey = apikey;
		}
		public foldersParms( string apikey, EnumValues.folder_type type )
		{
			this.apikey = apikey;
			this.type = type;
		}
	}
}
