﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CookComputing.XmlRpc;
//
namespace PerceptiveMCAPI.Types.Internal
{
	[XmlRpcMissingMapping( MappingAction.Ignore )]
	public class x_listClients
	{
		public object desktop { get; set; }
		public object mobile { get; set; }
		//
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class Desktop
		{
			public double penetration { get; set; }
			public ClientInfo[] clients { get; set; }
		}
		//
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class Mobile
		{
			public double penetration { get; set; }
			public ClientInfo[] clients { get; set; }
		}
		//
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class ClientInfo
		{
			public string members { get; set; }
			public string icon { get; set; }
			public double percent { get; set; }
			public string client { get; set; }
		}
	}

}
