﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // listInterestGroupAdd
      internal static List<Api_ValidatorMessage> Validate( listInterestGroupAddInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // id
         val = Validator.ListId_valid( input.parms.id );
         if ( val != null ) messages.Add( val );
         // group_name
         val = Validator.string_value_required( input.parms.group_name, "group_name" );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }
   }
}
