﻿namespace PerceptiveMCAPI.Types
{
	public partial class listInterestGroupUpdateInput : Api_BaseInput
	{
		public listInterestGroupUpdateParms parms { get; set; }

		// ---------------------------------------------------------
		public listInterestGroupUpdateInput()
		{
			this.parms = new listInterestGroupUpdateParms();
		}
		public listInterestGroupUpdateInput( string id, string old_name, string new_name )
		{
			this.parms = new listInterestGroupUpdateParms( id, old_name, new_name );
		}
		public listInterestGroupUpdateInput( string id, string old_name, string new_name, int grouping_id )
		{
			this.parms = new listInterestGroupUpdateParms( id, old_name, new_name, grouping_id );
		}
		public listInterestGroupUpdateInput( string apikey, string id, string old_name, string new_name )
		{
			this.parms = new listInterestGroupUpdateParms( apikey, id, old_name, new_name );
		}
		public listInterestGroupUpdateInput( string apikey, string id, string old_name, string new_name, int grouping_id )
		{
			this.parms = new listInterestGroupUpdateParms( apikey, id, old_name, new_name, grouping_id );
		}
		public listInterestGroupUpdateInput( listInterestGroupUpdateParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listInterestGroupUpdateParms();
		}
	}
}
