﻿namespace PerceptiveMCAPI.Types
{
	public partial class listInterestGroupingDelInput : Api_BaseInput
	{
		public listInterestGroupingDelParms parms { get; set; }

		// ---------------------------------------------
		public listInterestGroupingDelInput()
		{
			this.parms = new listInterestGroupingDelParms();
		}
		//
		public listInterestGroupingDelInput( int grouping_id )
		{
			this.parms = new listInterestGroupingDelParms( grouping_id );
		}
		//
		public listInterestGroupingDelInput( string apikey, int grouping_id )
		{
			this.parms = new listInterestGroupingDelParms( apikey, grouping_id );
		}
		//
		public listInterestGroupingDelInput( listInterestGroupingDelParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listInterestGroupingDelParms();
		}
	}
}
