﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // listInterestGroupingDel
      internal static List<Api_ValidatorMessage> Validate( listInterestGroupingDelInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // grouping_id
         val = Validator.int_value_required( input.parms.grouping_id, "grouping_id" );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }
   }
}
