﻿namespace PerceptiveMCAPI.Types
{
	public partial class listInterestGroupingUpdateInput : Api_BaseInput
	{
		public listInterestGroupingUpdateParms parms { get; set; }

		// ---------------------------------------------
		public listInterestGroupingUpdateInput()
		{
			this.parms = new listInterestGroupingUpdateParms();
		}
		//
		public listInterestGroupingUpdateInput( int grouping_id, string name, string value )
		{
			this.parms = new listInterestGroupingUpdateParms( grouping_id, name, value );
		}
		//
		public listInterestGroupingUpdateInput( string apikey, int grouping_id, string name, string value )
		{
			this.parms = new listInterestGroupingUpdateParms( apikey, grouping_id, name, value );
		}
		//
		public listInterestGroupingUpdateInput( listInterestGroupingUpdateParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listInterestGroupingUpdateParms();
		}
	}
}
