﻿namespace PerceptiveMCAPI.Types
{
	public partial class listStaticSegmentDelInput : Api_BaseInput
	{
		public listStaticSegmentDelParms parms { get; set; }

		// ----------------------------------------------
		public listStaticSegmentDelInput()
		{
			this.parms = new listStaticSegmentDelParms();
		}
		public listStaticSegmentDelInput( string id, int seg_id )
		{
			this.parms = new listStaticSegmentDelParms( id, seg_id );
		}
		public listStaticSegmentDelInput( string apikey, string id, int seg_id )
		{
			this.parms = new listStaticSegmentDelParms( apikey, id, seg_id );
		}
		public listStaticSegmentDelInput( listStaticSegmentDelParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listStaticSegmentDelParms();
		}
	}
}
