﻿namespace PerceptiveMCAPI.Types
{
	public partial class listStaticSegmentResetInput : Api_BaseInput
	{
		public listStaticSegmentResetParms parms { get; set; }

		// ----------------------------------------------
		public listStaticSegmentResetInput()
		{
			this.parms = new listStaticSegmentResetParms();
		}
		public listStaticSegmentResetInput( string id, int seg_id )
		{
			this.parms = new listStaticSegmentResetParms( id, seg_id );
		}
		public listStaticSegmentResetInput( string apikey, string id, int seg_id )
		{
			this.parms = new listStaticSegmentResetParms( apikey, id, seg_id );
		}
		public listStaticSegmentResetInput( listStaticSegmentResetParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listStaticSegmentResetParms();
		}
	}
}
