﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // listStaticSegmentReset
      internal static List<Api_ValidatorMessage> Validate( listStaticSegmentResetInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // id
         val = Validator.ListId_valid( input.parms.id );
         if ( val != null ) messages.Add( val );
         // seg_id
         val = Validator.int_value_required( input.parms.seg_id, "seg_id" );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }

   }
}
