﻿namespace PerceptiveMCAPI.Types
{
	public partial class listUnsubscribeInput : Api_BaseInput
	{
		public listUnsubscribeParms parms { get; set; }

		// -------------------------------------------
		public listUnsubscribeInput()
		{
			this.parms = new listUnsubscribeParms();
		}
		//
		public listUnsubscribeInput( string id, string email_address )
		{
			this.parms = new listUnsubscribeParms( id, email_address );
		}
		//
		public listUnsubscribeInput( string id, string email_address, bool delete_member, bool send_goodbye, bool send_notify )
		{
			this.parms = new listUnsubscribeParms( id, email_address, delete_member, send_goodbye, send_notify );
		}
		//
		public listUnsubscribeInput( string apikey, string id, string email_address )
		{
			this.parms = new listUnsubscribeParms( apikey, id, email_address );
		}
		//
		public listUnsubscribeInput( string apikey, string id, string email_address, bool delete_member, bool send_goodbye, bool send_notify )
		{
			this.parms = new listUnsubscribeParms( apikey, id, email_address, delete_member, send_goodbye, send_notify );
		}
		//
		public listUnsubscribeInput( listUnsubscribeParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listUnsubscribeParms();
		}
	}
}
