﻿namespace PerceptiveMCAPI.Types
{
   public class listUnsubscribeParms
   {
      public string apikey { get; set; }
      public string id { get; set; }
      public string email_address { get; set; }
      public bool delete_member { get; set; }
      public bool send_goodbye { get; set; }
      public bool send_notify { get; set; }
      // ------------------------------------------------------

      public listUnsubscribeParms ()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.delete_member = MCAPISettings.default_listUnsubscribe_delete_member;
         this.send_goodbye = MCAPISettings.default_listUnsubscribe_send_goodbye;
         this.send_notify = MCAPISettings.default_listUnsubscribe_send_notify;
      }
      public listUnsubscribeParms ( string id, string email_address )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.id = id;
         this.email_address = email_address;
         this.delete_member = MCAPISettings.default_listUnsubscribe_delete_member;
         this.send_goodbye = MCAPISettings.default_listUnsubscribe_send_goodbye;
         this.send_notify = MCAPISettings.default_listUnsubscribe_send_notify;
      }
      public listUnsubscribeParms ( string id, string email_address,
         bool delete_member, bool send_goodbye, bool send_notify )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.id = id;
         this.email_address = email_address;
         this.delete_member = delete_member;
         this.send_goodbye = send_goodbye;
         this.send_notify = send_notify;
      }
      public listUnsubscribeParms ( string apikey, string id, string email_address )
      {
         this.apikey = apikey;
         this.id = id;
         this.email_address = email_address;
         this.delete_member = MCAPISettings.default_listUnsubscribe_delete_member;
         this.send_goodbye = MCAPISettings.default_listUnsubscribe_send_goodbye;
         this.send_notify = MCAPISettings.default_listUnsubscribe_send_notify;
      }
      public listUnsubscribeParms ( string apikey, string id, string email_address,
         bool delete_member, bool send_goodbye, bool send_notify )
      {
         this.apikey = apikey;
         this.id = id;
         this.email_address = email_address;
         this.delete_member = delete_member;
         this.send_goodbye = send_goodbye;
         this.send_notify = send_notify;
      }
   }
}
