﻿namespace PerceptiveMCAPI.Types
{
	public partial class listWebhookDelInput : Api_BaseInput
	{
		public listWebhookDelParms parms { get; set; }

		// -------------------------------------
		public listWebhookDelInput()
		{
			this.parms = new listWebhookDelParms();
		}
		//
		public listWebhookDelInput( string id, string url )
		{
			this.parms = new listWebhookDelParms( id, url );
		}
		//
		public listWebhookDelInput( string apikey, string id, string url )
		{
			this.parms = new listWebhookDelParms( apikey, id, url );
		}
		//
		public listWebhookDelInput( listWebhookDelParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listWebhookDelParms();
		}
	}
}
