﻿using System.Collections.Generic;
//
namespace PerceptiveMCAPI.Types
{
	public partial class listsInput : Api_BaseInput
	{
		public listsParms parms { get; set; }

		// --------------------------------------
		public listsInput()
		{
			this.parms = new listsParms();
		}
		//
		public listsInput( Dictionary<string, object> filters )
		{
			this.parms = new listsParms( filters );
		}
		//
		public listsInput( Dictionary<string, object> filters, int start, int limit )
		{
			this.parms = new listsParms( filters, start, limit );
		}
		//
		public listsInput( string apikey )
		{
			this.parms = new listsParms( apikey );
		}
		//
		public listsInput( string apikey, Dictionary<string, object> filters )
		{
			this.parms = new listsParms( apikey, filters );
		}
		//
		public listsInput( string apikey, Dictionary<string, object> filters, int start, int limit )
		{
			this.parms = new listsParms( apikey, filters, start, limit );
		}
		//
		public listsInput( listsParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listsParms();
		}
	}
}
