﻿using System.Collections.Generic;
//
namespace PerceptiveMCAPI.Types
{
	public class listsParms
	{
		public string apikey { get; set; }
		public Dictionary<string, object> filters { get; set; }
		public int start { get; set; }
		public int limit { get; set; }
		// ----------------------------------------
		public listsParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			this.filters = new Dictionary<string, object>();
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_lists;
		}
		public listsParms( Dictionary<string, object> filters )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.filters = filters;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_lists;
		}
		public listsParms( Dictionary<string, object> filters, int start, int limit )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.filters = filters;
			this.start = start;
			this.limit = limit;
		}
		//
		public listsParms( string apikey )
		{
			this.apikey = apikey;
			this.filters = new Dictionary<string, object>();
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_lists;
		}
		public listsParms( string apikey, Dictionary<string, object> filters )
		{
			this.apikey = apikey;
			this.filters = filters;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_lists;
		}
		public listsParms( string apikey, Dictionary<string, object> filters, int start, int limit )
		{
			this.apikey = apikey;
			this.filters = filters;
			this.start = start;
			this.limit = limit;
		}
	}
}
