﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public partial class templateDelInput : Api_BaseInput
	{
		public templateDelParms parms { get; set; }

		// ---------------------------------------------------
		public templateDelInput()
		{
			this.parms = new templateDelParms();
		}
		//
		public templateDelInput( int id )
		{
			this.parms = new templateDelParms( id );
		}
		//
		public templateDelInput( string apikey, int id )
		{
			this.parms = new templateDelParms( apikey, id );
		}
		//
		public templateDelInput( templateDelParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new templateDelParms();
		}
	}
}
