﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public class templateUpdateParms
	{
		public string apikey { get; set; }
		public int id { get; set; }
		public Dictionary<string, string> values { get; set; }
		// ---------------------------------------------------
		public templateUpdateParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			values = new Dictionary<string, string>();
		}
		public templateUpdateParms( int id, Dictionary<string, string> values )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.id = id;
			this.values = values;
		}
		public templateUpdateParms( string apikey, int id, Dictionary<string, string> values )
		{
			this.apikey = apikey;
			this.id = id;
			this.values = values;
		}
	}
}
