﻿using System;
//
namespace PerceptiveMCAPI.Types
{
   public class campaignScheduleParms
   {
      public string apikey { get; set; }
      public string cid { get; set; }
      public DateTime schedule_time { get; set; }
      public DateTime schedule_time_b { get; set; }
      // ---------------------------------------------------
      public campaignScheduleParms()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.schedule_time = DateTime.MinValue;
         this.schedule_time_b = DateTime.MinValue;
      }
      public campaignScheduleParms( string cid, DateTime schedule_time )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.schedule_time = schedule_time;
         this.schedule_time_b = DateTime.MinValue;
      }
      public campaignScheduleParms( string cid, DateTime schedule_time, DateTime schedule_time_b )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.schedule_time = schedule_time;
         this.schedule_time_b = schedule_time_b;
      }

      public campaignScheduleParms( string apikey, string cid, DateTime schedule_time )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.schedule_time = schedule_time;
         this.schedule_time_b = DateTime.MinValue;
      }
      public campaignScheduleParms( string apikey, string cid, DateTime schedule_time, DateTime schedule_time_b )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.schedule_time = schedule_time;
         this.schedule_time_b = schedule_time_b;
      }
   }
}
