﻿using System.Collections.Generic;
//
namespace PerceptiveMCAPI.Types
{
	public partial class campaignShareReportInput : Api_BaseInput
	{
		public campaignShareReportParms parms { get; set; }

		// ---------------------------------------------------
		public campaignShareReportInput()
		{
			this.parms = new campaignShareReportParms();
		}
		//
		public campaignShareReportInput( string cid, Dictionary<string, object> opts )
		{
			this.parms = new campaignShareReportParms( cid, opts );
		}
		//
		public campaignShareReportInput( string apikey, string cid, Dictionary<string, object> opts )
		{
			this.parms = new campaignShareReportParms( apikey, cid, opts );
		}
		//
		public campaignShareReportInput( campaignShareReportParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignShareReportParms();
		}
	}
}
