﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // campaignShareReport
      internal static List<Api_ValidatorMessage> Validate( campaignShareReportInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // cid
         val = Validator.cid_valid( input.parms.cid );
         if ( val != null ) messages.Add( val );
         // opts
         val = campaignShareReport_Validator.opts_valid( input.parms.opts );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }
   }
}
