﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignTemplateContentInput : Api_BaseInput
	{
		public campaignTemplateContentParms parms { get; set; }

		// ---------------------------------------------------
		public campaignTemplateContentInput()
		{
			this.parms = new campaignTemplateContentParms();
		}
		//
		public campaignTemplateContentInput( string cid )
		{
			this.parms = new campaignTemplateContentParms( cid );
		}
		//
		public campaignTemplateContentInput( string apikey, string cid )
		{
			this.parms = new campaignTemplateContentParms( apikey, cid );
		}
		//
		public campaignTemplateContentInput( campaignTemplateContentParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignTemplateContentParms();
		}
	}
}
