﻿using System.Collections.Generic;
//
namespace PerceptiveMCAPI.Types
{
	public class campaignUpdateParms
	{
		public string apikey { get; set; }
		public string cid { get; set; }
		public string name { get; set; }
		public object value { get; set; }
		// ---------------------------------------------------
		public campaignUpdateParms()
		{
			this.apikey = MCAPISettings.default_apikey;
		}
		public campaignUpdateParms( string cid, string name, string value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string cid, string name, int value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string cid, string name, bool value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string cid, string name, campaignTracking value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string cid, string name, campaignSegmentOptions value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string cid, string name, Dictionary<string, string> value )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}

		public campaignUpdateParms( string apikey, string cid, string name, string value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string apikey, string cid, string name, int value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string apikey, string cid, string name, bool value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string apikey, string cid, string name, campaignTracking value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string apikey, string cid, string name, campaignSegmentOptions value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
		public campaignUpdateParms( string apikey, string cid, string name, Dictionary<string, string> value )
		{
			this.apikey = apikey;
			this.cid = cid;
			this.name = name;
			this.value = value;
		}
	}
}
