﻿using System.Collections;
using CookComputing.XmlRpc;
//
namespace PerceptiveMCAPI.Types.Internal
{
	[XmlRpcMissingMapping( MappingAction.Ignore )]
	public class x_campaigns
	{
		public int total { get; set; }
		public data_item[] data { get; set; }
		// ---------------------------------------------
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class data_item
		{
			public string id { get; set; }
			public double web_id { get; set; }
			public string list_id { get; set; }
			public double folder_id { get; set; }
			public double template_id { get; set; }
			public string content_type { get; set; }
			public string title { get; set; }
			public string type { get; set; }
			public string create_time { get; set; }
			public string send_time { get; set; }
			public int emails_sent { get; set; }
			public string status { get; set; }
			public string from_name { get; set; }
			public string from_email { get; set; }
			public string subject { get; set; }
			public string to_name { get; set; }
			public string archive_url { get; set; }
			public bool inline_css { get; set; }
			public string analytics { get; set; }
			public string analytics_tag { get; set; }
			//
			public bool authenticate { get; set; }
			public bool ecomm360 { get; set; }
			public bool auto_tweet { get; set; }
			public string auto_fb_post { get; set; }
			public bool auto_footer { get; set; }
			public bool timewarp { get; set; }
			public string timewarp_schedule { get; set; }
			//
			public IDictionary tracking { get; set; }
			//
			public string segment_text { get; set; }
			public object segment_opts { get; set; }
			public object type_opts { get; set; }
		}
	}
}
