﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignClickDetailAIMInput : Api_BaseInput
	{
		public campaignClickDetailAIMParms parms { get; set; }

		// -------------------------------------
		public campaignClickDetailAIMInput()
		{
			this.parms = new campaignClickDetailAIMParms();
		}
		//
		public campaignClickDetailAIMInput( string cid, string url )
		{
			this.parms = new campaignClickDetailAIMParms( cid, url );
		}
		//
		public campaignClickDetailAIMInput( string cid, string url, int start, int limit )
		{
			this.parms = new campaignClickDetailAIMParms( cid, url, start, limit );
		}
		//
		public campaignClickDetailAIMInput( string apikey, string cid, string url )
		{
			this.parms = new campaignClickDetailAIMParms( apikey, cid, url );
		}
		//
		public campaignClickDetailAIMInput( string apikey, string cid, string url, int start, int limit )
		{
			this.parms = new campaignClickDetailAIMParms( apikey, cid, url, start, limit );
		}
		//
		public campaignClickDetailAIMInput( campaignClickDetailAIMParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignClickDetailAIMParms();
		}
	}
}
