﻿using System;
//
namespace PerceptiveMCAPI.Types
{
   public class campaignAbuseReportsParms
   {
      public string apikey { get; set; }
      public string cid { get; set; }
      public DateTime since { get; set; }
      public int start { get; set; }
      public int limit { get; set; }
      // ------------------------------------------
      public campaignAbuseReportsParms()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.since = DateTime.MinValue;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignAbuseReports;
      }
      public campaignAbuseReportsParms( string cid )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.since = DateTime.MinValue;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignAbuseReports;
      }
      public campaignAbuseReportsParms( string cid, int start, int limit )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.since = DateTime.MinValue;
         this.start = start;
         this.limit = limit;
      }
      public campaignAbuseReportsParms( string cid, DateTime since, int start, int limit )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.since = since;
         this.start = start;
         this.limit = limit;
      }
      public campaignAbuseReportsParms( string apikey, string cid )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.since = DateTime.MinValue;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignAbuseReports;
      }
      public campaignAbuseReportsParms( string apikey, string cid, int start, int limit )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.since = DateTime.MinValue;
         this.start = start;
         this.limit = limit;
      }
      public campaignAbuseReportsParms( string apikey, string cid, DateTime since, int start, int limit )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.since = since;
         this.start = start;
         this.limit = limit;
      }
   }
}
