﻿using System;
//
namespace PerceptiveMCAPI.Types
{
   public class campaignEcommOrdersParms
   {
      public string apikey { get; set; }
      public string cid { get; set; }
      public int start { get; set; }
      public int limit { get; set; }
      public DateTime since { get; set; }
      // -------------------------------------
      public campaignEcommOrdersParms()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignEcommOrders;
         this.since = DateTime.MinValue;
      }
      public campaignEcommOrdersParms( string cid )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignEcommOrders;
         this.since = DateTime.MinValue;
      }
      public campaignEcommOrdersParms( string cid, int start, int limit )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
         this.since = DateTime.MinValue;
      }
      public campaignEcommOrdersParms( string cid, int start, int limit, DateTime since )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
         this.since = since;
      }
      public campaignEcommOrdersParms( string apikey, string cid )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignEcommOrders;
         this.since = DateTime.MinValue;
      }
      public campaignEcommOrdersParms( string apikey, string cid, int start, int limit )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
         this.since = DateTime.MinValue;
      }
      public campaignEcommOrdersParms( string apikey, string cid, int start, int limit, DateTime since )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
         this.since = since;
      }
   }
}
