﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CookComputing.XmlRpc;
//
namespace PerceptiveMCAPI.Types.Internal
{
	[XmlRpcMissingMapping( MappingAction.Ignore )]
	public class x_campaignEcommOrders
	{
		public int total { get; set; }
		public x_ecommOrder[] data { get; set; }
		//------------------------------------------------
		// order
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class x_ecommOrder
		{
			public string store_id { get; set; }
			public string store_name { get; set; }
			public string order_id { get; set; }
			//public string campaign_id { get; set; }
			public string email { get; set; }
			public double order_total { get; set; }
			public double tax_total { get; set; }
			public double ship_total { get; set; }
			public string order_date { get; set; }
			public x_ecommOrder_item[] lines { get; set; }
			//
			// -------- line item
			[XmlRpcMissingMapping( MappingAction.Ignore )]
			public class x_ecommOrder_item
			{
				public int line_num { get; set; }
				public int product_id { get; set; }
				public string product_name { get; set; }
				public string product_sku { get; set; }
				public int product_category_id { get; set; }
				public string product_category_name { get; set; }
				public int qty { get; set; }
				public double cost { get; set; }
			}
		}
	}
}
