﻿namespace PerceptiveMCAPI.Types
{
   public class campaignEmailDomainPerformanceResults
   {
      public string domain { get; set; }
      public int total_sent { get; set; }
      public int emails { get; set; }
      public int bounces { get; set; }
      public int opens { get; set; }
      public int clicks { get; set; }
      public int unsubs { get; set; }
      public int delivered { get; set; }
      // returned as integer, but that sorta sucks - so prepare for a change :-) 
      public float emails_pct { get; set; }
      public float bounces_pct { get; set; }
      public float opens_pct { get; set; }
      public float clicks_pct { get; set; }
      public float unsubs_pct { get; set; }

      public override string ToString()
      {
         return string.Format( "Domain: {0}", domain );
      }
   }
}
