﻿namespace PerceptiveMCAPI.Types
{
	public partial class campaignGeoOpensForCountryInput : Api_BaseInput
	{
		public campaignGeoOpensForCountryParms parms { get; set; }

		// -------------------------------------
		public campaignGeoOpensForCountryInput()
		{
			this.parms = new campaignGeoOpensForCountryParms();
		}
		//
		public campaignGeoOpensForCountryInput( string cid, string code )
		{
			this.parms = new campaignGeoOpensForCountryParms( cid, code );
		}
		//
		public campaignGeoOpensForCountryInput( string apikey, string cid, string code )
		{
			this.parms = new campaignGeoOpensForCountryParms( apikey, cid, code );
		}
		//
		public campaignGeoOpensForCountryInput( campaignGeoOpensForCountryParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new campaignGeoOpensForCountryParms();
		}
	}
}
