﻿namespace PerceptiveMCAPI.Types
{
   public class campaignUnsubscribesParms
   {
      public string apikey { get; set; }
      public string cid { get; set; }
      public int start { get; set; }
      public int limit { get; set; }
      // -------------------------------------
      public campaignUnsubscribesParms()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignUnsubscribes;
      }
      public campaignUnsubscribesParms( string cid )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignUnsubscribes;
      }
      public campaignUnsubscribesParms( string cid, int start, int limit )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
      }
      public campaignUnsubscribesParms( string apikey, string cid )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.start = MCAPISettings.default_start;
         this.limit = MCAPISettings.default_limit_campaignUnsubscribes;
      }
      public campaignUnsubscribesParms( string apikey, string cid, int start, int limit )
      {
         this.apikey = apikey;
         this.cid = cid;
         this.start = start;
         this.limit = limit;
      }
   }
}
