﻿using System;
//
namespace PerceptiveMCAPI.Types
{
	public class ecommOrdersParms
	{
		public string apikey { get; set; }
		public int start { get; set; }
		public int limit { get; set; }
		public DateTime since { get; set; }
		// -------------------------------------
		public ecommOrdersParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_campaignEcommOrders;
			this.since = DateTime.MinValue;
		}
		public ecommOrdersParms( DateTime since )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_campaignEcommOrders;
			this.since = since;
		}
		public ecommOrdersParms( int start, int limit, DateTime since )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.start = start;
			this.limit = limit;
			this.since = since;
		}
		public ecommOrdersParms( string apikey )
		{
			this.apikey = apikey;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_campaignEcommOrders;
			this.since = DateTime.MinValue;
		}
		public ecommOrdersParms( string apikey, DateTime since )
		{
			this.apikey = apikey;
			this.start = start;
			this.limit = limit;
			this.since = DateTime.MinValue;
		}
		public ecommOrdersParms( string apikey, int start, int limit, DateTime since )
		{
			this.apikey = apikey;
			this.start = start;
			this.limit = limit;
			this.since = since;
		}
	}
}
