﻿namespace PerceptiveMCAPI.Types
{
	public partial class listsForEmailInput : Api_BaseInput
	{
		public listsForEmailParms parms { get; set; }

		// -----------------------------------------------
		public listsForEmailInput()
		{
			this.parms = new listsForEmailParms();
		}
		public listsForEmailInput( string email_address )
		{
			this.parms = new listsForEmailParms( email_address );
		}
		public listsForEmailInput( string apikey, string email_address )
		{
			this.parms = new listsForEmailParms( apikey, email_address );
		}
		public listsForEmailInput( listsForEmailParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listsForEmailParms();
		}
	}
}
