﻿using System;
//
namespace PerceptiveMCAPI.Types
{
	public class listAbuseReportsParms
	{
		public string apikey { get; set; }
		public string id { get; set; }
		public int start { get; set; }
		public int limit { get; set; }
		public DateTime since { get; set; }
		// -----------------------------------------------------------

		public listAbuseReportsParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_listAbuseReports;
			this.since = DateTime.MinValue;
		}
		public listAbuseReportsParms( string id, DateTime since )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.id = id;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_listAbuseReports;
			this.since = since;
		}
		public listAbuseReportsParms( string id, int start, int limit )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.id = id;
			this.start = start;
			this.limit = limit;
			this.since = DateTime.MinValue;
		}
		public listAbuseReportsParms( string id, int start, int limit, DateTime since )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.id = id;
			this.start = start;
			this.limit = limit;
			this.since = since;
		}
		public listAbuseReportsParms( string apikey, string id, DateTime since )
		{
			this.apikey = apikey;
			this.id = id;
			this.start = MCAPISettings.default_start;
			this.limit = MCAPISettings.default_limit_listAbuseReports;
			this.since = since;
		}
		public listAbuseReportsParms( string apikey, string id, int start, int limit )
		{
			this.apikey = apikey;
			this.id = id;
			this.start = start;
			this.limit = limit;
			this.since = DateTime.MinValue;
		}
		public listAbuseReportsParms( string apikey, string id, int start, int limit, DateTime since )
		{
			this.apikey = apikey;
			this.id = id;
			this.start = start;
			this.limit = limit;
			this.since = since;
		}
	}
}
