﻿using System.Collections.Generic;
using PerceptiveMCAPI.Types;
//
namespace PerceptiveMCAPI
{
   internal static partial class ValidateInput
   {
      // listBatchSubscribe
      internal static List<Api_ValidatorMessage> Validate( listBatchSubscribeInput input )
      {
         List<Api_ValidatorMessage> messages = ValidateBaseParameters( input as Api_BaseInput );
         Api_ValidatorMessage val;
         //-----------------------
         // apikey
         val = Validator.apikey_valid( input.parms.apikey );
         if ( val != null ) messages.Add( val );
         // id
         val = Validator.ListId_valid( input.parms.id );
         if ( val != null ) messages.Add( val );
         // batch
         val = listBatchSubscribe_Validator.batch_valid( input.parms.batch );
         if ( val != null ) messages.Add( val );
         //--------------------
         return messages;
      }
   }
}
