﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public partial class listClientsInput : Api_BaseInput
	{
		public listClientsParms parms { get; set; }

		// ---------------------------------------------
		public listClientsInput()
		{
			this.parms = new listClientsParms();
		}
		//
		public listClientsInput( string id )
		{
			this.parms = new listClientsParms( id );
		}
		//
		public listClientsInput( string apikey, string id )
		{
			this.parms = new listClientsParms( apikey, id );
		}
		//
		public listClientsInput( listClientsParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listClientsParms();
		}
	}
}
