﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public class listMemberActivityInput : Api_BaseInput
	{
		public listMemberActivityParms parms { get; set; }

		// --------------------------------------------------
		public listMemberActivityInput()
		{
			this.parms = new listMemberActivityParms();
		}
		//
		public listMemberActivityInput( string id, List<string> email_address )
		{
			this.parms = new listMemberActivityParms( id, email_address );
		}
		//
		public listMemberActivityInput( string apikey, string id, List<string> email_address )
		{
			this.parms = new listMemberActivityParms( apikey, id, email_address );
		}
		//
		public listMemberActivityInput( listMemberActivityParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listMemberActivityParms();
		}
	}
}
