﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public class listMemberActivityParms
	{
		public string apikey { get; set; }
		public string id { get; set; }
		public List<string> email_address { get; set; }

		// ---------------------------------------------
		public listMemberActivityParms()
		{
			this.apikey = MCAPISettings.default_apikey;
			email_address = new List<string>();
		}
		//
		public listMemberActivityParms( string id, List<string> email_address )
		{
			this.apikey = MCAPISettings.default_apikey;
			this.id = id;
			this.email_address = email_address;
		}
		//
		public listMemberActivityParms( string apikey, string id, List<string> email_address )
		{
			this.apikey = apikey;
			this.id = id;
			this.email_address = email_address;
		}
	}
}
