﻿using CookComputing.XmlRpc;
//
namespace PerceptiveMCAPI.Types.Internal
{
	[XmlRpcMissingMapping( MappingAction.Ignore )]
	public class x_listMemberInfo
	{
		public int success { get; set; }
		public int errors { get; set; }
		public data_item[] data { get; set; }
		//
		//-------------------------------------------------
		[XmlRpcMissingMapping( MappingAction.Ignore )]
		public class data_item
		{
			public string id { get; set; }
			public string email { get; set; }
			public string email_type { get; set; }
			public object merges { get; set; }
			public string status { get; set; }
			public string ip_opt { get; set; }
			public string ip_signup { get; set; }
			public int member_rating { get; set; }
			public string campaign_id { get; set; }
			public object lists { get; set; }
			public string timestamp { get; set; }
			public string info_changed { get; set; }
			public int web_id { get; set; }
			//
			public object geo { get; set; }
			public object clients { get; set; }
			public static_seg[] static_segments { get; set; }
			// ----
			public string error { get; set; }
			public string email_address { get; set; }
			// -----------------------------------------------------
			[XmlRpcMissingMapping( MappingAction.Ignore )]
			public class geo_data
			{
				public string latitude { get; set; }
				public string longitude { get; set; }
				public string gmtoff { get; set; }
				public string dstoff { get; set; }
				public string timezone { get; set; }
				public string cc { get; set; }
				public string region { get; set; }
			}
			//
			[XmlRpcMissingMapping( MappingAction.Ignore )]
			public class static_seg
			{
				public int id { get; set; }
				public string name { get; set; }
				public string added { get; set; }
			}
		}
	}
}
