﻿namespace PerceptiveMCAPI.Types
{
   public class listMergeVarUpdateParms
   {
      public string apikey { get; set; }
      public string id { get; set; }
      public string tag { get; set; }
      public mergevar_options options { get; set; }
      // ----------------------------------------------------
      public listMergeVarUpdateParms ()
      {
         this.apikey = MCAPISettings.default_apikey;
         this.options = new mergevar_options();
      }
      public listMergeVarUpdateParms ( string id, string tag )
      {
         this.apikey = MCAPISettings.default_apikey;
         this.id = id;
         this.tag = tag;
         this.options = new mergevar_options();
      }
      public listMergeVarUpdateParms ( string apikey, string id, string tag )
      {
         this.apikey = apikey;
         this.id = id;
         this.tag = tag;
         this.options = new mergevar_options();
      }
      public listMergeVarUpdateParms ( string apikey, string id, string tag, mergevar_options options )
      {
         this.apikey = apikey;
         this.id = id;
         this.tag = tag;
         this.options = options;
      }
   }
}
