﻿namespace PerceptiveMCAPI.Types
{
	public partial class listMergeVarsInput : Api_BaseInput
	{
		public listMergeVarsParms parms { get; set; }

		// ---------------------------------------------
		public listMergeVarsInput()
		{
			this.parms = new listMergeVarsParms();
		}
		public listMergeVarsInput( string id )
		{
			this.parms = new listMergeVarsParms( id );
		}
		public listMergeVarsInput( string apikey, string id )
		{
			this.parms = new listMergeVarsParms( apikey, id );
		}
		public listMergeVarsInput( listMergeVarsParms parms )
		{
			if ( parms != null )
				this.parms = parms;
			else
				this.parms = new listMergeVarsParms();
		}
	}
}
