﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PerceptiveMCAPI.Types
{
	public class templatesResults
	{
		public List<template> user { get; set; }
		public List<template> gallery { get; set; }
		public List<template> basic { get; set; }
		//
		public templatesResults()
		{
			user = new List<template>();
			gallery = new List<template>();
			basic = new List<template>();
		}
		// ----------------------------------------
		public class template
		{
			public double id { get; set; }
			public string name { get; set; }
			public string category { get; set; }
			public string layout { get; set; }
			public string preview_image { get; set; }
			public DateTime date_created { get; set; }
			public bool active { get; set; }
			public bool edit_source { get; set; }
			//
			public template()
			{
				date_created = DateTime.MinValue;
			}
		}
	}
}
